package com.srs.comprehensive.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 支付订单对象 srs_order
 * 
 * @author srs
 * @date 2023-07-24
 */
public class SrsOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /** 费用id */
    @Excel(name = "费用id")
    private Long paymentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;



    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;
    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 费用名称 */
    @Excel(name = "费用名称")
    private String paymentName;



    /** 支付状态 */
    @Excel(name = "支付状态")
    private String payStatus;

    /** 支付成功过的交易单号 */
    @Excel(name = "支付成功过的交易单号")
    private String transNo;

    private  String paymentCode;


    private BigDecimal amount;

    /** 删除标志 */
    private String delFlag;
    public String getPaymentCode() {
        return paymentCode;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }




    public void setPaymentCode(String paymentCode) {
        this.paymentCode = paymentCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPaymentName() {
        return paymentName;
    }

    public void setPaymentName(String paymentName) {
        this.paymentName = paymentName;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPaymentId(Long paymentId) 
    {
        this.paymentId = paymentId;
    }

    public Long getPaymentId() 
    {
        return paymentId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPayStatus(String payStatus) 
    {
        this.payStatus = payStatus;
    }

    public String getPayStatus() 
    {
        return payStatus;
    }
    public void setTransNo(String transNo) 
    {
        this.transNo = transNo;
    }

    public String getTransNo() 
    {
        return transNo;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("paymentId", getPaymentId())
            .append("userId", getUserId())
            .append("payStatus", getPayStatus())
            .append("transNo", getTransNo())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
